Apache log4cxx Version @version@

Public Types | Public Member Functions | List of all members
DenyAllFilter Class Reference

This filter drops all logging events. More...

`#include <denyallfilter.h>`

Inheritance diagram for DenyAllFilter:

## Public Types
typedef spi::Filter | BASE_CLASS
Public Types inherited from Filter
enum | FilterDecision { DENY = -1 , NEUTRAL = 0 , ACCEPT = 1 }

## Public Member Functions
| DenyAllFilter ()
FilterDecision | decide (const spi::LoggingEventPtr &event) const
| Always returns the integer constant `DENY` regardless of the `LoggingEvent` parameter. More...
Public Member Functions inherited from Filter
| Filter ()
void | addRef () const
void | releaseRef () const
log4cxx::spi::FilterPtr | getNext () const
void | setNext (const log4cxx::spi::FilterPtr &newNext)
void | activateOptions (log4cxx::helpers::Pool &p)
| Usually filters options become active when set. More...
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
virtual FilterDecision | decide (const LoggingEventPtr &event) const =0
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
virtual void | activateOptions (log4cxx::helpers::Pool &p)=0
| Activate the options that were previously set with calls to option setters. More...
virtual void | setOption (const LogString &option, const LogString &value)=0
| Set `option` to `value`. More...
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

This filter drops all logging events.

You can add this filter to the end of a filter chain to switch from the default "accept all unless instructed otherwise" filtering behaviour to a "deny all unless instructed otherwise" behaviour.

## Member Typedef Documentation

## ◆ BASE_CLASS

typedef spi::Filter BASE_CLASS

## Constructor & Destructor Documentation

## ◆ DenyAllFilter()

DenyAllFilter | ( |  | ) |
| inline

## Member Function Documentation

## ◆ decide()

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const
| inline virtual

Always returns the integer constant `DENY` regardless of the `LoggingEvent` parameter.

Parameters

  event | The LoggingEvent to filter.

Returns
  Always returns `DENY`.

Implements Filter.

The documentation for this class was generated from the following file:

- denyallfilter.h